[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Hurd: eglibc & gcc-4.4

On Thu, Nov 26, 2009 at 12:42:13PM +0100, Samuel Thibault wrote:
> Aurelien Jarno, le Thu 26 Nov 2009 11:29:45 +0100, a écrit :
> > I have been able to install the
> > package and reboot my machine without any problem through.
> Another needed test is to recompile the hurd package with the newer
> libc, to check that ext2fs.static bootstraps correctly.
> > Could someone confirm that it is ok to build eglibc with gcc 4.4 on
> > hurd, so that I can do the switch in the next upload?
> Rebooting with an updated ext2fs.static is the usual test we have done,
> as that already tests a very large part of the hurd-specific code.

I have done the test, and it works well, so I'll switch to gcc 4.4 to
the next upload.

> I don't know if there is still a reason for not running the testsuite.

I have tried to run it, and math/test-fenv makes the kernel to crash and
the machine to reboot. On the console, I get:

panic: fpexterrflt

Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net

Reply to: